> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ui Resource Template

> Get a UI resource template by ID.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/ui-resource-templates/{template_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/ui-resource-templates/{template_id}:
    get:
      tags:
        - UI Resource Templates
      summary: Get Ui Resource Template
      description: Get a UI resource template by ID.
      operationId: core_api_v1_controllers_ui_resource_templates_get_ui_resource_template
      parameters:
        - in: path
          name: template_id
          schema:
            title: Template Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UIResourceTemplateOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    UIResourceTemplateOut:
      description: Response schema for UI resource templates.
      properties:
        object:
          default: ui_resource_template
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          default: ''
          title: Description
          type: string
        template_content:
          title: Template Content
          type: string
        context_schema:
          additionalProperties: true
          default: {}
          title: Context Schema
          type: object
        preview_context_data:
          additionalProperties: true
          default: {}
          title: Preview Context Data
          type: object
        is_active:
          default: true
          title: Is Active
          type: boolean
        template_version:
          default: 1
          title: Template Version
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
        - template_content
      title: UIResourceTemplateOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````